### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.storedprocess.metadata

# Interface StoredProcessAlertItemInterface

All Superinterfaces:
  `EventInterface`, `MetadataInterface`, `PublicObjectInterface`, `Remote`

All Known Implementing Classes:
  `StoredProcessAlertItem`

@SASScope("ALL") @BinaryCompatibilityOnly public interface StoredProcessAlertItemInterface extends EventInterface
This class represents a sas stored process alert item, which keeps track of the results of a stored process. The status and location of the results are available through this item.

Since:
  1.0

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getProperty(String XPathString)`
  Returns the value of the property identified by the XPath expression.
  `PackageInterface`
  `getResults()`
  Return the stored process results in the form of a package.

  ### Methods inherited from interface com.sas.services.information.metadata.EventInterface

  `getEventDocument, getEventDocumentAsString, setEventDocument, setEventDocumentFromString`

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Method Details

  - ### getResults

    PackageInterface getResults() throws RemoteException
    Return the stored process results in the form of a package.

    Returns:
      PackageInterface The stored process reults
    Throws:
      `RemoteException`

  - ### getProperty

    String getProperty(String XPathString) throws RemoteException
    Returns the value of the property identified by the XPath expression. This expression should identify an element or attribute in the event XML and it is the value of this entity that is returned.
    Parameters:
      `XPathString` - An XPath expression that identifies the element or attribute for which the value is required
    Returns:
      String The value of the entity identified by the `expr` parameter
    Throws:
      `RemoteException`